=== debian/control ===
--- 
+++ 
@@ -1,32 +1,34 @@
 Source: qtdeclarative-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 9.20160114~),
-               dpkg-dev (>= 1.16.1),
+           Dmitry Shachnev <mitya57@debian.org>,
+           Simon Quigley <tsimonq2@ubuntu.com>
+Build-Depends: debhelper (>= 10),
+               dpkg-dev (>= 1.17.14),
                libgl1-mesa-dri,
-               libqt5opengl5-dev (>= 5.7.1+dfsg~),
-               libqt5xmlpatterns5-dev (>= 5.7.1~20161021~),
+               libqt5opengl5-dev (>= 5.9.1+dfsg~),
+               libqt5xmlpatterns5-dev (>= 5.9.1~),
                pkg-kde-tools (>= 0.15.17~),
                python,
-               qtbase5-private-dev (>= 5.7.1+dfsg~),
+               qtbase5-private-dev (>= 5.9.1+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~20161021+dfsg~),
-                     qtbase5-doc-html (>= 5.7.1~20161021+dfsg~),
-                     qttools5-dev-tools (>= 5.7.1~20161021~)
-Standards-Version: 3.9.8
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1+dfsg~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.9.1+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.9.1~) <!nodoc>
+Standards-Version: 4.0.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtdeclarative.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtdeclarative.git
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-7-0
+Provides: qtdeclarative-abi-5-9-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -114,6 +116,17 @@
  .
  This package contains the qmltooling plugins.
 
+Package: qtdeclarative5-folderlistmodel-plugin
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Depends: qml-module-qt-labs-folderlistmodel, ${misc:Depends}
+Description: transitional dummy package for Qt 5 folderlistmodel QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package which can be safely removed.
+
 Package: qml-module-qt-labs-folderlistmodel
 Architecture: any
 Multi-Arch: same
@@ -124,6 +137,17 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  The FolderListModel provides a model of the contents of a file system folder.
+
+Package: qtdeclarative5-localstorage-plugin
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Depends: qml-module-qtquick-localstorage, ${misc:Depends}
+Description: transitional dummy package for Qt 5 localstorage QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package which can be safely removed.
 
 Package: qml-module-qtquick-localstorage
 Architecture: any
@@ -136,6 +160,28 @@
  .
  This is a singleton type for reading and writing to SQLite databases.
 
+Package: qtdeclarative5-models-plugin
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Depends: qml-module-qtqml-models2, ${misc:Depends}
+Description: transitional dummy package for Qt 5 Models2 QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package which can be safely removed.
+
+Package: qml-module-qt-labs-sharedimage
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 SharedImage QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Shared Image plugin.
+
 Package: qml-module-qtqml-models2
 Architecture: any
 Multi-Arch: same
@@ -158,6 +204,17 @@
  .
  The State Machine QML module.
 
+Package: qtdeclarative5-particles-plugin
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Depends: qml-module-qtquick-particles2, ${misc:Depends}
+Description: transitional dummy package for Qt 5 particles 2 QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package which can be safely removed.
+
 Package: qml-module-qtquick-particles2
 Architecture: any
 Multi-Arch: same
@@ -168,6 +225,17 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This QML module contains a particle system for Qt Quick.
+
+Package: qtdeclarative5-qtquick2-plugin
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Depends: qml-module-qtquick2, ${misc:Depends}
+Description: transitional dummy package Qt 5 Qt Quick 2 QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package which can be safely removed.
 
 Package: qml-module-qtquick2
 Architecture: any
@@ -180,6 +248,17 @@
  .
  This package contains the Qt Quick 2 QML module for Qt declarative.
 
+Package: qtdeclarative5-settings-plugin
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Depends: qml-module-qt-labs-settings, ${misc:Depends}
+Description: transitional dummy package for Qt 5 settings QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package which can be safely removed.
+
 Package: qml-module-qt-labs-settings
 Architecture: any
 Multi-Arch: same
@@ -190,6 +269,17 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the settings QML module for Qt declarative.
+
+Package: qtdeclarative5-test-plugin
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Depends: qml-module-qttest, ${misc:Depends}
+Description: transitional dummy package for Qt 5 test QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package which can be safely removed.
 
 Package: qml-module-qttest
 Architecture: any
@@ -202,6 +292,17 @@
  .
  This package contains the test QML module for Qt declarative.
 
+Package: qtdeclarative5-window-plugin
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Depends: qml-module-qtquick-window2, ${misc:Depends}
+Description: transitional dummy package for Qt 5 window 2 QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package which can be safely removed.
+
 Package: qml-module-qtquick-window2
 Architecture: any
 Multi-Arch: same
@@ -211,115 +312,3 @@
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This QML module contains types for creating top-level windows and
- accessing screen information.
-
-Package: qml-module-qtquick-xmllistmodel
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Qt 5 xmllistmodel QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This QML module contains types for creating models from XML data.
-
-Package: qtdeclarative5-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: libqt5qml5 (= ${binary:Version}),
-         libqt5quick5 (= ${binary:Version}),
-         libqt5quickparticles5 (= ${binary:Version}),
-         libqt5quicktest5 (= ${binary:Version}),
-         libqt5quickwidgets5 (= ${binary:Version}),
-         qt5-qmltooling-plugins,
-         qtbase5-dev,
-         ${misc:Depends}
-Description: Qt 5 declarative development files
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the header development files for building some
- Qt 5 applications using Qt 5 declarative headers.
-
-Package: qtdeclarative5-private-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: qtdeclarative5-dev (= ${binary:Version}), ${misc:Depends}
-Description: Qt 5 declarative private development files
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the private header development files for building some
- Qt 5 applications using Qt 5 declarative private headers.
- .
- Use at your own risk.
-
-Package: qtdeclarative5-dev-tools
-Architecture: any
-Multi-Arch: foreign
-Section: devel
-Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
-Description: Qt 5 declarative development programs
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the development programs used for building Qt 5
- declarative applications.
-
-Package: qmlscene
-Architecture: any
-Multi-Arch: foreign
-Section: devel
-Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
-Description: Qt 5 QML scene viewer
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the older QML viewer for Qt Quick 2. See qml package
- for the newer one.
-
-Package: qml
-Architecture: any
-Multi-Arch: foreign
-Section: devel
-Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
-Description: Qt 5 QML viewer
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the new QML viewer for Qt Quick 2, called simply
- 'qml'.
-
-Package: qtdeclarative5-examples
-Architecture: any
-Multi-Arch: same
-Section: x11
-Pre-Depends: ${misc:Pre-Depends}
-Depends: qml-module-qtqml-models2,
-         qml-module-qtquick-dialogs,
-         qml-module-qtquick-layouts,
-         qml-module-qtquick-localstorage,
-         qml-module-qtquick-particles2,
-         qml-module-qtquick-xmllistmodel,
-         qml-module-qttest,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: qtquickcontrols5-examples (<< 5.7.0-1~)
-Replaces: qtquickcontrols5-examples (<< 5.7.0-1~)
-Description: Qt 5 declarative examples
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains Qt 5 declarative examples.
-
-Package: qtdeclarative5-doc
-Priority: extra
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Description: Qt 5 declarative documentation
- Qt is a cross-platform C++ application framework. Qt's primary feature
