=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 #export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-PRIVATE_HEADERS = debian/qtdeclarative5-private-dev/usr/include/$(DEB_HOST_MULTIARCH)/qt5
 
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
@@ -12,7 +11,7 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@ --parallel --with pkgkde_symbolshelper
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -52,17 +51,6 @@
 override_dh_install:
 	dh_install --fail-missing
 
-override_dh_link:
-	dh_link
-	@VERSION=$$(ls $(PRIVATE_HEADERS)/QtQml); \
-	set -e; for h in $$(ls $(PRIVATE_HEADERS)/QtQmlDevTools/$$VERSION/QtQmlDevTools/private/); do \
-		if [ -f $(PRIVATE_HEADERS)/QtQml/$$VERSION/QtQml/private/$$h ]; then \
-			echo "Symlinking QtQmlDevTools/private/$$h -> QtQml/private/$$h"; \
-			ln -sf ../../../../QtQml/$$VERSION/QtQml/private/$$h \
-				$(PRIVATE_HEADERS)/QtQmlDevTools/$$VERSION/QtQmlDevTools/private/$$h; \
-		fi; \
-	done
-
 override_dh_makeshlibs:
 	dh_makeshlibs -V
 
@@ -70,11 +58,11 @@
 	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
 	mkdir -p $(CURDIR)/.local/share/QtProject/tst_qqmlengine
 	# Make the tests non-fatal, see the 5.7.1~20161021-2 changelog.
-	-xvfb-run -a \
+	-QT_LOGGING_RULES="default.debug=true;qml.debug=true;js.debug=true" xvfb-run -a \
 	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
 	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \
 	         QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
-	         HOME=$(CURDIR) LD_LIBRARY_PATH=$(CURDIR)/lib
+	         HOME=$(CURDIR) LD_LIBRARY_PATH=$(CURDIR)/lib XDG_RUNTIME_DIR=$(CURDIR)
 
 override_dh_auto_test-indep:
