## qtdeclarative-opensource-src 5.9.5

=== debian/changelog ===
qtdeclarative-opensource-src (5.9.5-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.5.
  * Update Vcs fields for migration to salsa.debian.org.
  * Refresh patches for the new release.
  * Update symbols files for the new release.
  * Bump qtdeclarative-abi-5-9-4 -> qtdeclarative-abi-5-9-5.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Apr 2018 10:18:38 +0300

qtdeclarative-opensource-src (5.9.4-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Bump qtdeclarative-abi-5-9-3 -> qtdeclarative-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2018 00:04:50 -0600

qtdeclarative-opensource-src (5.9.3-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.2, no changes needed.
  * Refresh patches.
  * Update symbols from build logs.
  * Bump qtdeclarative-abi-5-9-2 -> qtdeclarative-abi-5-9-3.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 30 Nov 2017 21:51:27 -0600

qtdeclarative-opensource-src (5.9.2-3ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Keep transitional packages until Bionic release.
    - Add testcase_array_iteration.patch which fixes some test hangs.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 02 Nov 2017 13:59:13 +0300

qtdeclarative-opensource-src (5.9.2-3) unstable; urgency=medium

  * Bump qtdeclarative-abi version to 5-9-2.
  * Update debian/libqt5qml5.symbols from buildds’ logs.
  * Temporarily revert upstream commit that caused issues in some KDE apps.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Oct 2017 16:27:02 +0300

qtdeclarative-opensource-src (5.9.2-2) experimental; urgency=medium

  * Update for Qt binaries location change in qtbase 5.9.2+dfsg-3.
    - Update .install files for qtdeclarative5-dev-tools, qmlscene and qml.
    - Provide compatibility symlinks for the old location.
    - Bump qtbase5-private-dev and qttools5-dev-tools build-dependencies.
  * Bump Standards-Version to 4.1.1, stop using deprecated Priority: extra.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Oct 2017 15:14:10 +0300

qtdeclarative-opensource-src (5.9.2-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream:
    - fix_image_source_memory_leak.patch
    - rebuild-QmlDatapropertyCache-if-deleted.patch
  * Refresh and rebase other patches.
  * Update symbols files from the current build log.
  * Bump Qt build-dependencies to 5.9.2.
  * Use dh_missing instead of deprecated dh_install --fail-missing.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Oct 2017 00:17:05 +0300

qtdeclarative-opensource-src (5.9.1-6ubuntu1) bionic; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Keep transitional packages. These can be dropped after the next LTS.
    - Add testcase_array_iteration.patch which fixes some test hangs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 27 Oct 2017 11:56:40 -0500

qtdeclarative-opensource-src (5.9.1-6) unstable; urgency=medium

  * Add fix_image_source_memory_leak.patch to fix QTBUG-61754 (Closes: #874581).
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 07 Sep 2017 14:01:39 -0300

qtdeclarative-opensource-src (5.9.1-5) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump qtdeclarative-abi to 5-9-1 so it matches' qtbase's versioning. Plus
    it's the version we are pushing to unstable.

  [ Dmitry Shachnev ]
  * Update symbols files for GCC 7 symbols changes.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 15 Aug 2017 22:09:04 -0300
